# png::error Class Reference

Exception class to represent runtime errors related to png++ operation. More...

`#include <error.hpp>`

List of all members.

## Public Member Functions

| error (std::string const &message)

## Detailed Description

Exception class to represent runtime errors related to png++ operation.

## Constructor & Destructor Documentation

png::error::error | ( | std::string const & | message ) | `[inline, explicit]`

Parameters:

  message | error description

The documentation for this class was generated from the following file:

- error.hpp